Subject: Re: Makeinfo step in installations
From: "David A. Cobb" <[email-masked]>
To: [email-masked]
Date: Wed, 13 Dec 2000 22:37:04 -0500

Betraying how little I understand, I'm not sure which of these applies.
I find *.info files here and there, but "$  info" doesn't find much of
anything.  I figured there was some step that would have moved them to the
/usr/info directory or set up links to them or something.  Building or adding
to the /usr/info/dir sounds like the thing.

Looking more carefully, I realize "makeinfo" is the step that created the
"*.info" files.   I'll try the "make install-info"

Is there an environment variable I should set to identify the path(s) for
info?
--
Christopher Faylor wrote:

> On Wed, Dec 13, 2000 at 09:28:49PM -0500, David A. Cobb wrote:
> >[ I've got my asbestos undies on tight!  Yes, I scanned my own archive
> >back to 9/1/2000 ]
> >
> >Someone, I believe it was Charles, mentioned that the make process does
> >not do the makeinfo.  [Always? or just sometimes?]  Anyway, he included
> >the appropriate
> >command + options to use.  At XNix, I'm a raw newbie.  So, please repeat
> >the
> >instruction.
> >TIA
>
> Are you asking how to create the dir file in /usr/info?
>
> I do something like:
>
> cd /usr/info
> for f in *.info; do install-info $f dir; done
>
> If you are asking how to make the info files in a distribution then the
> answer is "make info".  If the info files are not installed by the "make
> install" command then you use "make install-info".
>
> cgf

--
David A. Cobb, Software Engineer, Public Access Advocate.  Public Key at:
<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit>
"Don't buy or use crappy software"
"By the grace of God I am a Christian man,
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French, tr.]

--
Want to unsubscribe from this list?
Send a message to [email-masked]